Bug 817442 - Miscellaneous Quagga packaging fixes
Miscellaneous Quagga packaging fixes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 817990
  Show dependency treegraph
 
Reported: 2012-04-29 23:19 EDT by David Ward
Modified: 2013-04-30 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 10:55:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[1/9] Fix package descriptions (1.62 KB, patch)
2012-04-29 23:19 EDT, David Ward
no flags Details | Diff
[2/9] Remove non-existing switch for NSSA support (809 bytes, patch)
2012-04-29 23:23 EDT, David Ward
no flags Details | Diff
[3/9] Remove unneeded hack to force PIE build (729 bytes, patch)
2012-04-29 23:23 EDT, David Ward
no flags Details | Diff
[4/9] Fix build and uninstall-trigger for '--without ipv6' option (1.60 KB, patch)
2012-04-29 23:24 EDT, David Ward
no flags Details | Diff
[5/9] Enable isisd build (actually fix #716561) (3.39 KB, patch)
2012-04-29 23:25 EDT, David Ward
no flags Details | Diff
[6/9] Set ownership of generated vtysh.conf properly (758 bytes, patch)
2012-04-29 23:25 EDT, David Ward
no flags Details | Diff
[7/9] Only install configuration samples in /usr/share/doc (not /etc/quagga) (1.49 KB, patch)
2012-04-29 23:26 EDT, David Ward
no flags Details | Diff
[8/9] Only include sample configuration files for daemons that are built (943 bytes, patch)
2012-04-29 23:26 EDT, David Ward
no flags Details | Diff
[9/9] Do not backup during patching (or backups get pulled into distribution) (797 bytes, patch)
2012-04-29 23:27 EDT, David Ward
no flags Details | Diff

  None (edit)
Description David Ward 2012-04-29 23:19:50 EDT
Created attachment 581123 [details]
[1/9] Fix package descriptions

Several miscellaneous fixes to Quagga packaging in Fedora are attached. These patches can be applied directly with fedpkg to the rawhide and/or f17 branches.

1) Fix package descriptions
2) Remove non-existing switch for NSSA support
3) Remove unneeded hack to force PIE build
4) Fix build and uninstall-trigger for '--without ipv6' option
5) Enable isisd build (actually fix #716561)
6) Set ownership of generated vtysh.conf properly
7) Only install configuration samples in /usr/share/doc (not /etc/quagga)
8) Only include sample configuration files for daemons that are built
9) Do not backup during patching (or backups get pulled into distribution)
Comment 1 David Ward 2012-04-29 23:23:13 EDT
Created attachment 581124 [details]
[2/9] Remove non-existing switch for NSSA support
Comment 2 David Ward 2012-04-29 23:23:46 EDT
Created attachment 581125 [details]
[3/9] Remove unneeded hack to force PIE build
Comment 3 David Ward 2012-04-29 23:24:29 EDT
Created attachment 581126 [details]
[4/9] Fix build and uninstall-trigger for '--without ipv6' option
Comment 4 David Ward 2012-04-29 23:25:05 EDT
Created attachment 581127 [details]
[5/9] Enable isisd build (actually fix #716561)
Comment 5 David Ward 2012-04-29 23:25:29 EDT
Created attachment 581128 [details]
[6/9] Set ownership of generated vtysh.conf properly
Comment 6 David Ward 2012-04-29 23:26:01 EDT
Created attachment 581129 [details]
[7/9] Only install configuration samples in /usr/share/doc (not /etc/quagga)
Comment 7 David Ward 2012-04-29 23:26:35 EDT
Created attachment 581130 [details]
[8/9] Only include sample configuration files for daemons that are built
Comment 8 David Ward 2012-04-29 23:27:00 EDT
Created attachment 581131 [details]
[9/9] Do not backup during patching (or backups get pulled into distribution)
Comment 9 Adam Tkac 2012-05-03 05:32:58 EDT
Thanks for the patches, I applied & pushed all of them, except the last one. I prefer to have backups in case I need to improve certain patch etc. It's just personal preference...
Comment 10 Fedora Update System 2012-06-07 09:50:18 EDT
quagga-0.99.21-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/quagga-0.99.21-2.fc17
Comment 11 Fedora Update System 2012-06-07 09:50:46 EDT
quagga-0.99.21-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/quagga-0.99.21-2.fc16
Comment 12 Fedora Update System 2012-06-08 19:58:44 EDT
Package quagga-0.99.21-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing quagga-0.99.21-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9103/quagga-0.99.21-2.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-06-19 10:55:06 EDT
quagga-0.99.21-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-06-19 11:07:11 EDT
quagga-0.99.21-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.